Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class IdentitySelector

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.IdentitySelector

All Implemented Interfaces:
  Serializable, SourceLocator

    public class IdentitySelector

extends SchemaStructure

The selector of an IdentityConstraint

See Also:
  Serialized Form

Constructor Summary
`IdentitySelector(String xpath)` Create a new IdentitySelector.

Method Summary
`Selection` | `getSelection()` Return the compiled XPath expression
`String` | `getXPath()` Return the source XPath expression of this IdentitySelector.
`void` | `setSelection(Selection selection)` Set the compiled XPath expression
`void` | `setXPath(String xpath)` Sets the XPath expression for this Selector.
`boolean` | `validate(ErrorListener errorListener)` Checks the validity of this Schema defintion.

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getSystemId, getValidationStatus, lookForCycles, setConfiguration, setFixupStatus, setLineNumber, setLocator, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentitySelector

    public IdentitySelector(String xpath)
                     throws SchemaException

  Create a new IdentitySelector.

  Parameters:
    `xpath` - the xpath for the IdentitySelector. Must not be null.
  Throws:
    `SchemaException` - if xpath is null.

Method Detail

### getXPath

    public String getXPath()

  Return the source XPath expression of this IdentitySelector.

  Returns:
    the XPath expression defined in this IdentitySelector.

### getSelection

    public Selection getSelection()

  Return the compiled XPath expression

  Returns:
    the expression as a Selector object

### setXPath

    public void setXPath(String xpath)
                  throws SchemaException

  Sets the XPath expression for this Selector.

  Parameters:
    `xpath` - the XPath expression for this IdentitySelector. Must not be null.
  Throws:
    `SchemaException` - if xpath is null.

### setSelection

    public void setSelection(Selection selection)

  Set the compiled XPath expression

  Parameters:
    `selection` -

### validate

    public boolean validate(ErrorListener errorListener)
                     throws SchemaException

  Checks the validity of this Schema defintion.

  Throws:
    `SchemaException` - when this Schema definition is invalid.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.